# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]
- More brand color palettes.
- List of colors representing the brand's gradients.
- The brands' official logos and icons downloaded from their official web sites.

## [0.1.12] - 2021-04-19 [#29](https://github.com/rafamizes/flutter_brand_palettes/issues/29)
### Added
- Color palettes: FedEx, Messenger, Netflix, Reddit, Swift.
- PaletteRGB class convenience constructors 'black' and 'white'.

### Changed
- Less verbose and more concise changelog content.

## [0.1.11] - 2021-04-16 [#28](https://github.com/rafamizes/flutter_brand_palettes/issues/28)
### Added
- Primaries color swatch.

## [0.1.10] - 2021-04-15 [#26](https://github.com/rafamizes/flutter_brand_palettes/issues/26)
### Added
- Color classes: Black, White, Transparent.

## [0.1.9+1] - 2021-04-14 [#27](https://github.com/rafamizes/flutter_brand_palettes/issues/27)
### Added
- Whatsapp and PaletteRGB missing unit test constructor case.

## [0.1.9] - 2021-04-14 [#25](https://github.com/rafamizes/flutter_brand_palettes/issues/25)
### Added
- Color classes: DeepPurple, DeepPurpleAccent, Purple, PurpleAccent.

## [0.1.8+1] - 2021-04-14
### Fixed
- Too long package description (pub dev's analysis tool complained about it).
   
### Changed
- Improve documentation (README and doc comments of several classes).

## [0.1.8] - 2021-04-14 [#20](https://github.com/rafamizes/flutter_brand_palettes/issues/20)
### Added
- Color classes: Cyan, CyanAccent, Indigo, IndigoAccent, LightBlue, LightBlueAccent.

## [0.1.7] - 2021-04-13 [#24](https://github.com/rafamizes/flutter_brand_palettes/issues/24)
### Added
- Color palettes: American Express, Mastercard, PayPal, Visa.

## [0.1.6] - 2021-04-13 [#23](https://github.com/rafamizes/flutter_brand_palettes/issues/23)
### Added
- Color palettes: Linkedin, TikTok, Tinder.

## [0.1.5] - 2021-04-13 [#22](https://github.com/rafamizes/flutter_brand_palettes/issues/22)
### Added
- Kotlin color palette.

## [0.1.4] - 2021-04-13 [#21](https://github.com/rafamizes/flutter_brand_palettes/issues/21)
### Added
- Bitcoin color palette.

## [0.1.3] - 2021-04-13 [#19](https://github.com/rafamizes/flutter_brand_palettes/issues/19)
### Added
- Color classes: LightGreen, LightGreenAccent, Lime, LimeAccent, Teal,
  TealAccent.

## [0.1.2] - 2021-04-12 [#18](https://github.com/rafamizes/flutter_brand_palettes/issues/18)
### Added
- Color classes: Amber, AmberAccent, Orange, OrangeAccent, DeepOrange,
  DeepOrangeAccent, Yellow, YellowAccent.

## [0.1.1] - 2021-04-10 [#17](https://github.com/rafamizes/flutter_brand_palettes/issues/17)
### Added
- Color classes: Green, GreenAccent, Blue, BlueAccent, Red, RedAccent.

## [0.1.0] - 2021-04-09
### Changed (Breaking)
- Rename Slack class' constructor "albergine" to "aubergine".

## [0.0.15] - 2021-04-09 [#16](https://github.com/rafamizes/flutter_brand_palettes/issues/16)
### Added
- Color classes: Pink, Pink Accent.

### Fixed
- Fix typos in README file.

## [0.0.14] - 2021-04-09 [#15](https://github.com/rafamizes/flutter_brand_palettes/issues/15)
### Added
- Spotify color palette.

## [0.0.13] - 2021-04-09 [#14](https://github.com/rafamizes/flutter_brand_palettes/issues/14)
### Added
- Slack color palette.

## [0.0.12] - 2021-04-09 [#13](https://github.com/rafamizes/flutter_brand_palettes/issues/13)
### Added
- Youtube color palette.

## [0.0.11] - 2021-04-08 [#12](https://github.com/rafamizes/flutter_brand_palettes/issues/12)
### Changed
- 'const' Palette constructors.

## [0.0.10] - 2021-04-08 [#10](https://github.com/rafamizes/flutter_brand_palettes/issues/10)
### Added
- Color classes: Brown, BlueGrey, Grey.

## [0.0.9] - 2021-04-07 [#9](https://github.com/rafamizes/flutter_brand_palettes/issues/9)
### Added
- Amazon color palette.

## [0.0.8] - 2021-04-07 [#8](https://github.com/rafamizes/flutter_brand_palettes/issues/8)
### Added
- Microsoft color palette.

### Changed
- README package's description.

## [0.0.7] - 2021-04-07 [#7](https://github.com/rafamizes/flutter_brand_palettes/issues/7)
### Added
- Color palettes: Android, Apple, Iphone11, Iphone11Pro, Iphone7, Iphone8, IphoneXR, IphoneXS.

## [0.0.6] - 2021-04-06 [#6](https://github.com/rafamizes/flutter_brand_palettes/issues/6)
### Added
- Flutter color palette.

## [0.0.5] - 2021-04-06 [#5](https://github.com/rafamizes/flutter_brand_palettes/issues/5)
### Added
- Twitter color palette.

## [0.0.4] - 2021-04-06 [#4](https://github.com/rafamizes/flutter_brand_palettes/issues/4)
### Added
- Whatsapp color palette.

## [0.0.3] - 2021-04-06 [#3](https://github.com/rafamizes/flutter_brand_palettes/issues/3)
### Added
- Facebook color palette.

## [0.0.2] - 2021-04-05 [#2](https://github.com/rafamizes/flutter_brand_palettes/issues/2)
### Added
- Google color palette.

## [0.0.1+1] - 2021-04-05
### Changed
- Improve doc comments.

### Fixed
- Follow Dart file conventions.

## [0.0.1] - 2021-04-05 [#1](https://github.com/rafamizes/flutter_brand_palettes/issues/1)
### Added
- Instagram color palette. 
