import '../palette_rgb.dart';

/// Instagram's official brand colors:
///
/// - Royal Blue;
/// - Blue;
/// - Purple;
/// - Dark Pink;
/// - Purple-Red;
/// - Red;
/// - Dark Orange;
/// - Orange;
/// - Yellow;
/// - Light Yellow.
///
/// See also: - [instagram colors](https://usbrandcolors.com/instagram-colors/)
class Instagram extends PaletteRGB {
  /// Royal Blue #405DE6.
  const Instagram.royalBlue() : super.opaque(0x405DE6);

  /// Blue #5B51D8.
  const Instagram.blue() : super.opaque(0x5B51D8);

  /// Purple #833AB4.
  const Instagram.purple() : super.opaque(0x833AB4);

  /// Dark pink #C13584.
  const Instagram.darkPink() : super.opaque(0xC13584);

  /// Purple-red #E1306C.
  const Instagram.purpleRed() : super.opaque(0xE1306C);

  /// Red #FD1D1D.
  const Instagram.red() : super.opaque(0xFD1D1D);

  /// Dark orange #F56040.
  const Instagram.darkOrange() : super.opaque(0xF56040);

  /// Orange #F77737.
  const Instagram.orange() : super.opaque(0xF77737);

  /// Yellow #FCAF45.
  const Instagram.yellow() : super.opaque(0xFCAF45);

  /// Light yellow #FFDC80.
  const Instagram.lightYellow() : super.opaque(0xFFDC80);
}
