import '../../palette_rgb.dart';

/// IphoneXR's official brand colors:
///
/// - Black;
/// - Blue;
/// - Coral;
/// - Red.
/// - White;
/// - Yellow;
///
/// See also:
/// - [iphone colors](https://brandpalettes.com/iphone-colors/)
/// - [iphone compare](https://www.apple.com/iphone/compare/)
class IphoneXR extends PaletteRGB {
  /// Black #1F2020.
  const IphoneXR.black() : super.opaque(0x1F2020);

  /// Blue #5EB0E5.
  const IphoneXR.blue() : super.opaque(0x5EB0E5);

  /// Coral #EE7762.
  const IphoneXR.coral() : super.opaque(0xEE7762);

  /// Red #A5282C.
  const IphoneXR.red() : super.opaque(0xA5282C);

  /// White #F9F6Ef.
  const IphoneXR.white() : super.opaque(0xF9F6Ef);

  /// Yellow #F3D060.
  const IphoneXR.yellow() : super.opaque(0xF3D060);
}
